GatewayReceiverInfo (Apache Geode 1.12.4)
Date: 2021-07-21

org.apache.geode.management.runtime

## Class GatewayReceiverInfo

- java.lang.Object
- - org.apache.geode.management.runtime.RuntimeInfo
  - - org.apache.geode.management.runtime.GatewayReceiverInfo

- All Implemented Interfaces:
    Serializable, JsonSerializable

      @Experimental
      public class GatewayReceiverInfo
      extends RuntimeInfo

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayReceiverInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getBindAddress()`
    `String[]` | `getConnectedSenders()`
    `String` | `getHostnameForSenders()`
    `int` | `getPort()`
    `int` | `getSenderCount()`
    `int` | `hashCode()`
    `boolean` | `isRunning()`
    `void` | `setBindAddress(String bindAddress)`
    `void` | `setConnectedSenders(String[] connectedSenders)`
    `void` | `setHostnameForSenders(String hostnameForSenders)`
    `void` | `setPort(int port)`
    `void` | `setRunning(boolean running)`
    `void` | `setSenderCount(int senderCount)`

    - ### Methods inherited from class org.apache.geode.management.runtime.RuntimeInfo

      `getMemberName, setMemberName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GatewayReceiverInfo

          public GatewayReceiverInfo()

  - ### Method Detail

    - #### isRunning

          public boolean isRunning()

    - #### setRunning

          public void setRunning(boolean running)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getHostnameForSenders

          public String getHostnameForSenders()

    - #### setHostnameForSenders

          public void setHostnameForSenders(String hostnameForSenders)

    - #### getBindAddress

          public String getBindAddress()

    - #### setBindAddress

          public void setBindAddress(String bindAddress)

    - #### getSenderCount

          public int getSenderCount()

    - #### setSenderCount

          public void setSenderCount(int senderCount)

    - #### getConnectedSenders

          public String[] getConnectedSenders()

    - #### setConnectedSenders

          public void setConnectedSenders(String[] connectedSenders)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `RuntimeInfo`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `RuntimeInfo`